org.eclipse.emf.compare

## Interface ComparePackage.Literals

Enclosing interface:
  ComparePackage

    public static interface ComparePackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Generated:

### Field Summary

Fields
`static EClass` `ATTRIBUTE_CHANGE` The meta object literal for the '`Attribute Change`' class
`static EReference` `ATTRIBUTE_CHANGE__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature
`static EAttribute` `ATTRIBUTE_CHANGE__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `COMPARISON` The meta object literal for the '`Comparison`' class
`static EReference` `COMPARISON__CONFLICTS` The meta object literal for the 'Conflicts' containment reference list feature
`static EAttribute` `COMPARISON__DIAGNOSTIC` The meta object literal for the 'Diagnostic' attribute feature
`static EReference` `COMPARISON__EQUIVALENCES` The meta object literal for the 'Equivalences' containment reference list feature
`static EReference` `COMPARISON__MATCHED_RESOURCES` The meta object literal for the 'Matched Resources' containment reference list feature
`static EReference` `COMPARISON__MATCHES` The meta object literal for the 'Matches' containment reference list feature.
`static EAttribute` `COMPARISON__THREE_WAY` The meta object literal for the 'Three Way' attribute feature
`static EClass` `CONFLICT` The meta object literal for the '`Conflict`' class
`static EReference` `CONFLICT__DIFFERENCES` The meta object literal for the 'Differences' reference list feature.
`static EAttribute` `CONFLICT__KIND` The meta object literal for the 'Kind' attribute feature
`static EEnum` `CONFLICT_KIND` The meta object literal for the '`Conflict Kind`' enum
`static EDataType` `DIAGNOSTIC` The meta object literal for the 'Diagnostic' data type
`static EClass` `DIFF` The meta object literal for the '`Diff`' class
`static EReference` `DIFF__CONFLICT` The meta object literal for the 'Conflict' reference feature
`static EReference` `DIFF__EQUIVALENCE` The meta object literal for the 'Equivalence' reference feature.
`static EReference` `DIFF__IMPLIED_BY` The meta object literal for the 'Implied By' reference list feature.
`static EReference` `DIFF__IMPLIES` The meta object literal for the 'Implies' reference list feature.
`static EAttribute` `DIFF__KIND` The meta object literal for the 'Kind' attribute feature
`static EReference` `DIFF__MATCH` The meta object literal for the 'Match' container reference feature.
`static EReference` `DIFF__PRIME_REFINING` The meta object literal for the 'Prime Refining' reference feature.
`static EReference` `DIFF__REFINED_BY` The meta object literal for the 'Refined By' reference list feature.
`static EReference` `DIFF__REFINES` The meta object literal for the 'Refines' reference list feature.
`static EReference` `DIFF__REQUIRED_BY` The meta object literal for the 'Required By' reference list feature.
`static EReference` `DIFF__REQUIRES` The meta object literal for the 'Requires' reference list feature.
`static EAttribute` `DIFF__SOURCE` The meta object literal for the 'Source' attribute feature
`static EAttribute` `DIFF__STATE` The meta object literal for the 'State' attribute feature
`static EEnum` `DIFFERENCE_KIND` The meta object literal for the '`Difference Kind`' enum
`static EEnum` `DIFFERENCE_SOURCE` The meta object literal for the '`Difference Source`' enum
`static EEnum` `DIFFERENCE_STATE` The meta object literal for the '`Difference State`' enum
`static EDataType` `EITERABLE` The meta object literal for the 'EIterable' data type
`static EClass` `EQUIVALENCE` The meta object literal for the '`Equivalence`' class
`static EReference` `EQUIVALENCE__DIFFERENCES` The meta object literal for the 'Differences' reference list feature.
`static EClass` `FEATURE_MAP_CHANGE` The meta object literal for the '`Feature Map Change`' class
`static EReference` `FEATURE_MAP_CHANGE__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature
`static EAttribute` `FEATURE_MAP_CHANGE__VALUE` The meta object literal for the 'Value' attribute feature
`static EDataType` `IEQUALITY_HELPER` The meta object literal for the 'IEquality Helper' data type
`static EClass` `MATCH` The meta object literal for the '`Match`' class
`static EReference` `MATCH__DIFFERENCES` The meta object literal for the 'Differences' containment reference list feature
`static EReference` `MATCH__LEFT` The meta object literal for the 'Left' reference feature
`static EReference` `MATCH__ORIGIN` The meta object literal for the 'Origin' reference feature
`static EReference` `MATCH__RIGHT` The meta object literal for the 'Right' reference feature
`static EReference` `MATCH__SUBMATCHES` The meta object literal for the 'Submatches' containment reference list feature
`static EClass` `MATCH_RESOURCE` The meta object literal for the '`Match Resource`' class
`static EReference` `MATCH_RESOURCE__COMPARISON` The meta object literal for the 'Comparison' container reference feature.
`static EAttribute` `MATCH_RESOURCE__LEFT` The meta object literal for the 'Left' attribute feature
`static EAttribute` `MATCH_RESOURCE__LEFT_URI` The meta object literal for the 'Left URI' attribute feature
`static EReference` `MATCH_RESOURCE__LOCATION_CHANGES` The meta object literal for the 'Location Changes' containment reference list feature
`static EAttribute` `MATCH_RESOURCE__ORIGIN` The meta object literal for the 'Origin' attribute feature
`static EAttribute` `MATCH_RESOURCE__ORIGIN_URI` The meta object literal for the 'Origin URI' attribute feature
`static EAttribute` `MATCH_RESOURCE__RIGHT` The meta object literal for the 'Right' attribute feature
`static EAttribute` `MATCH_RESOURCE__RIGHT_URI` The meta object literal for the 'Right URI' attribute feature
`static EClass` `REFERENCE_CHANGE` The meta object literal for the '`Reference Change`' class
`static EReference` `REFERENCE_CHANGE__REFERENCE` The meta object literal for the 'Reference' reference feature
`static EReference` `REFERENCE_CHANGE__VALUE` The meta object literal for the 'Value' reference feature
`static EClass` `RESOURCE_ATTACHMENT_CHANGE` The meta object literal for the '`Resource Attachment Change`' class
`static EAttribute` `RESOURCE_ATTACHMENT_CHANGE__RESOURCE_URI` The meta object literal for the 'Resource URI' attribute feature.
`static EClass` `RESOURCE_LOCATION_CHANGE` The meta object literal for the '`Resource Location Change`' class
`static EAttribute` `RESOURCE_LOCATION_CHANGE__BASE_LOCATION` The meta object literal for the 'Base Location' attribute feature
`static EAttribute` `RESOURCE_LOCATION_CHANGE__CHANGED_LOCATION` The meta object literal for the 'Changed Location' attribute feature

### Field Detail

#### COMPARISON

    static final EClass COMPARISON

The meta object literal for the '`Comparison`' class.

See Also:
  `ComparisonImpl`, `ComparePackageImpl.getComparison()`
Generated:

#### COMPARISON__MATCHED_RESOURCES

    static final EReference COMPARISON__MATCHED_RESOURCES

The meta object literal for the 'Matched Resources' containment reference list feature.

Generated:

#### COMPARISON__MATCHES

    static final EReference COMPARISON__MATCHES

The meta object literal for the 'Matches' containment reference list feature.

Generated:

#### COMPARISON__CONFLICTS

    static final EReference COMPARISON__CONFLICTS

The meta object literal for the 'Conflicts' containment reference list feature.

Generated:

#### COMPARISON__EQUIVALENCES

    static final EReference COMPARISON__EQUIVALENCES

The meta object literal for the 'Equivalences' containment reference list feature.

Generated:

#### COMPARISON__THREE_WAY

    static final EAttribute COMPARISON__THREE_WAY

The meta object literal for the 'Three Way' attribute feature.

Generated:

#### COMPARISON__DIAGNOSTIC

    static final EAttribute COMPARISON__DIAGNOSTIC

The meta object literal for the 'Diagnostic' attribute feature.

Generated:

#### MATCH_RESOURCE

    static final EClass MATCH_RESOURCE

The meta object literal for the '`Match Resource`' class.

See Also:
  `MatchResourceImpl`, `ComparePackageImpl.getMatchResource()`
Generated:

#### MATCH_RESOURCE__LEFT_URI

    static final EAttribute MATCH_RESOURCE__LEFT_URI

The meta object literal for the 'Left URI' attribute feature.

Generated:

#### MATCH_RESOURCE__RIGHT_URI

    static final EAttribute MATCH_RESOURCE__RIGHT_URI

The meta object literal for the 'Right URI' attribute feature.

Generated:

#### MATCH_RESOURCE__ORIGIN_URI

    static final EAttribute MATCH_RESOURCE__ORIGIN_URI

The meta object literal for the 'Origin URI' attribute feature.

Generated:

#### MATCH_RESOURCE__LEFT

    static final EAttribute MATCH_RESOURCE__LEFT

The meta object literal for the 'Left' attribute feature.

Generated:

#### MATCH_RESOURCE__RIGHT

    static final EAttribute MATCH_RESOURCE__RIGHT

The meta object literal for the 'Right' attribute feature.

Generated:

#### MATCH_RESOURCE__ORIGIN

    static final EAttribute MATCH_RESOURCE__ORIGIN

The meta object literal for the 'Origin' attribute feature.

Generated:

#### MATCH_RESOURCE__COMPARISON

    static final EReference MATCH_RESOURCE__COMPARISON

The meta object literal for the 'Comparison' container reference feature.

Generated:

#### MATCH_RESOURCE__LOCATION_CHANGES

    static final EReference MATCH_RESOURCE__LOCATION_CHANGES

The meta object literal for the 'Location Changes' containment reference list feature.

Generated:

#### MATCH

    static final EClass MATCH

The meta object literal for the '`Match`' class.

See Also:
  `MatchImpl`, `ComparePackageImpl.getMatch()`
Generated:

#### MATCH__SUBMATCHES

    static final EReference MATCH__SUBMATCHES

The meta object literal for the 'Submatches' containment reference list feature.

Generated:

#### MATCH__DIFFERENCES

    static final EReference MATCH__DIFFERENCES

The meta object literal for the 'Differences' containment reference list feature.

Generated:

#### MATCH__LEFT

    static final EReference MATCH__LEFT

The meta object literal for the 'Left' reference feature.

Generated:

#### MATCH__RIGHT

    static final EReference MATCH__RIGHT

The meta object literal for the 'Right' reference feature.

Generated:

#### MATCH__ORIGIN

    static final EReference MATCH__ORIGIN

The meta object literal for the 'Origin' reference feature.

Generated:

#### DIFF

    static final EClass DIFF

The meta object literal for the '`Diff`' class.

See Also:
  `DiffImpl`, `ComparePackageImpl.getDiff()`
Generated:

#### DIFF__MATCH

    static final EReference DIFF__MATCH

The meta object literal for the 'Match' container reference feature.

Generated:

#### DIFF__REQUIRES

    static final EReference DIFF__REQUIRES

The meta object literal for the 'Requires' reference list feature.

Generated:

#### DIFF__REQUIRED_BY

    static final EReference DIFF__REQUIRED_BY

The meta object literal for the 'Required By' reference list feature.

Generated:

#### DIFF__IMPLIES

    static final EReference DIFF__IMPLIES

The meta object literal for the 'Implies' reference list feature.

Since:
  3.1
Generated:

#### DIFF__IMPLIED_BY

    static final EReference DIFF__IMPLIED_BY

The meta object literal for the 'Implied By' reference list feature.

Since:
  3.1
Generated:

#### DIFF__REFINES

    static final EReference DIFF__REFINES

The meta object literal for the 'Refines' reference list feature.

Generated:

#### DIFF__REFINED_BY

    static final EReference DIFF__REFINED_BY

The meta object literal for the 'Refined By' reference list feature.

Generated:

#### DIFF__PRIME_REFINING

    static final EReference DIFF__PRIME_REFINING

The meta object literal for the 'Prime Refining' reference feature.

Since:
  3.1
Generated:

#### DIFF__KIND

    static final EAttribute DIFF__KIND

The meta object literal for the 'Kind' attribute feature.

Generated:

#### DIFF__SOURCE

    static final EAttribute DIFF__SOURCE

The meta object literal for the 'Source' attribute feature.

Generated:

#### DIFF__STATE

    static final EAttribute DIFF__STATE

The meta object literal for the 'State' attribute feature.

Generated:

#### DIFF__EQUIVALENCE

    static final EReference DIFF__EQUIVALENCE

The meta object literal for the 'Equivalence' reference feature.

Generated:

#### DIFF__CONFLICT

    static final EReference DIFF__CONFLICT

The meta object literal for the 'Conflict' reference feature.

Generated:

#### RESOURCE_ATTACHMENT_CHANGE

    static final EClass RESOURCE_ATTACHMENT_CHANGE

The meta object literal for the '`Resource Attachment Change`' class.

See Also:
  `ResourceAttachmentChangeImpl`, `ComparePackageImpl.getResourceAttachmentChange()`
Generated:

#### RESOURCE_ATTACHMENT_CHANGE__RESOURCE_URI

    static final EAttribute RESOURCE_ATTACHMENT_CHANGE__RESOURCE_URI

The meta object literal for the 'Resource URI' attribute feature.

Generated:

#### RESOURCE_LOCATION_CHANGE

    static final EClass RESOURCE_LOCATION_CHANGE

The meta object literal for the '`Resource Location Change`' class.

See Also:
  `ResourceLocationChangeImpl`, `ComparePackageImpl.getResourceLocationChange()`
Generated:

#### RESOURCE_LOCATION_CHANGE__BASE_LOCATION

    static final EAttribute RESOURCE_LOCATION_CHANGE__BASE_LOCATION

The meta object literal for the 'Base Location' attribute feature.

Generated:

#### RESOURCE_LOCATION_CHANGE__CHANGED_LOCATION

    static final EAttribute RESOURCE_LOCATION_CHANGE__CHANGED_LOCATION

The meta object literal for the 'Changed Location' attribute feature.

Generated:

#### REFERENCE_CHANGE

    static final EClass REFERENCE_CHANGE

The meta object literal for the '`Reference Change`' class.

See Also:
  `ReferenceChangeImpl`, `ComparePackageImpl.getReferenceChange()`
Generated:

#### REFERENCE_CHANGE__REFERENCE

    static final EReference REFERENCE_CHANGE__REFERENCE

The meta object literal for the 'Reference' reference feature.

Generated:

#### REFERENCE_CHANGE__VALUE

    static final EReference REFERENCE_CHANGE__VALUE

The meta object literal for the 'Value' reference feature.

Generated:

#### ATTRIBUTE_CHANGE

    static final EClass ATTRIBUTE_CHANGE

The meta object literal for the '`Attribute Change`' class.

See Also:
  `AttributeChangeImpl`, `ComparePackageImpl.getAttributeChange()`
Generated:

#### ATTRIBUTE_CHANGE__ATTRIBUTE

    static final EReference ATTRIBUTE_CHANGE__ATTRIBUTE

The meta object literal for the 'Attribute' reference feature.

Generated:

#### ATTRIBUTE_CHANGE__VALUE

    static final EAttribute ATTRIBUTE_CHANGE__VALUE

The meta object literal for the 'Value' attribute feature.

Generated:

#### FEATURE_MAP_CHANGE

    static final EClass FEATURE_MAP_CHANGE

The meta object literal for the '`Feature Map Change`' class.

See Also:
  `FeatureMapChangeImpl`, `ComparePackageImpl.getFeatureMapChange()`
Generated:

#### FEATURE_MAP_CHANGE__ATTRIBUTE

    static final EReference FEATURE_MAP_CHANGE__ATTRIBUTE

The meta object literal for the 'Attribute' reference feature.

Generated:

#### FEATURE_MAP_CHANGE__VALUE

    static final EAttribute FEATURE_MAP_CHANGE__VALUE

The meta object literal for the 'Value' attribute feature.

Generated:

#### CONFLICT

    static final EClass CONFLICT

The meta object literal for the '`Conflict`' class.

See Also:
  `ConflictImpl`, `ComparePackageImpl.getConflict()`
Generated:

#### CONFLICT__KIND

    static final EAttribute CONFLICT__KIND

The meta object literal for the 'Kind' attribute feature.

Generated:

#### CONFLICT__DIFFERENCES

    static final EReference CONFLICT__DIFFERENCES

The meta object literal for the 'Differences' reference list feature.

Generated:

#### EQUIVALENCE

    static final EClass EQUIVALENCE

The meta object literal for the '`Equivalence`' class.

See Also:
  `EquivalenceImpl`, `ComparePackageImpl.getEquivalence()`
Generated:

#### EQUIVALENCE__DIFFERENCES

    static final EReference EQUIVALENCE__DIFFERENCES

The meta object literal for the 'Differences' reference list feature.

Generated:

#### DIFFERENCE_KIND

    static final EEnum DIFFERENCE_KIND

The meta object literal for the '`Difference Kind`' enum.

See Also:
  `DifferenceKind`, `ComparePackageImpl.getDifferenceKind()`
Generated:

#### DIFFERENCE_SOURCE

    static final EEnum DIFFERENCE_SOURCE

The meta object literal for the '`Difference Source`' enum.

See Also:
  `DifferenceSource`, `ComparePackageImpl.getDifferenceSource()`
Generated:

#### DIFFERENCE_STATE

    static final EEnum DIFFERENCE_STATE

The meta object literal for the '`Difference State`' enum.

See Also:
  `DifferenceState`, `ComparePackageImpl.getDifferenceState()`
Generated:

#### CONFLICT_KIND

    static final EEnum CONFLICT_KIND

The meta object literal for the '`Conflict Kind`' enum.

See Also:
  `ConflictKind`, `ComparePackageImpl.getConflictKind()`
Generated:

#### EITERABLE

    static final EDataType EITERABLE

The meta object literal for the 'EIterable' data type.

See Also:
  `Iterable`, `ComparePackageImpl.getEIterable()`
Generated:

#### IEQUALITY_HELPER

    static final EDataType IEQUALITY_HELPER

The meta object literal for the 'IEquality Helper' data type.

See Also:
  `IEqualityHelper`, `ComparePackageImpl.getIEqualityHelper()`
Generated:

#### DIAGNOSTIC

    static final EDataType DIAGNOSTIC

The meta object literal for the 'Diagnostic' data type.

See Also:
  `Diagnostic`, `ComparePackageImpl.getDiagnostic()`
Generated: